# FileDialog

Adds support for \[System.Windows.Forms.OpenFileDialog]\(<https://msdn.microsoft.com/es-es/library/system.windows.forms.openfiledialog(v=vs.110).aspx>).

Implementation details:

## Component selector

> 'wm-file-dialog'

## Kendo UI component

> [kendo-dialog](https://www.telerik.com/kendo-angular-ui/components/dialogs/dialog/)

## PME support

| Property                               | Get/Set | Notify Changes | Details                                                                              |
| -------------------------------------- | ------- | -------------- | ------------------------------------------------------------------------------------ |
| routeService : ActivatedRoute(Private) | Yes     | No             | Used to call the super constructor                                                   |
| wmservice : WebMapService(Protected)   | Yes     | No             | Used to invoke commands from the events. Allow access to the webmapService provider. |
| fileList: any                          | Yes     | No             | The list of selected files in the browser's file dialog.                             |
| fileName: string                       | Yes     | No             | The selected File name.                                                              |

### Methods

| Method | Supported | Details |
| ------ | --------- | ------- |
| None   | None      | None    |

### Events

| Event | Supported | Parameter       | Details                                                                   |
| ----- | --------- | --------------- | ------------------------------------------------------------------------- |
| click | Yes       | this.id: string | This event is used to send the selected file name to the back-end server. |

## Version Information

Available since 5.1


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/filedialog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
